set(STM_DRIVER_SOURCES
	#	STM32F0xx_HAL_Driver/Src/stm32f0xx_ll_exti.c
	#	STM32F0xx_HAL_Driver/Src/stm32f0xx_ll_gpio.c
	STM32F0xx_HAL_Driver/Src/stm32f0xx_ll_pwr.c
	STM32F0xx_HAL_Driver/Src/stm32f0xx_ll_rcc.c
	STM32F0xx_HAL_Driver/Src/stm32f0xx_ll_utils.c
	)

set(STM_DRIVER_INCLUDES
	CMSIS/Device/ST/STM32F0xx/Include
	CMSIS/Include
	STM32F0xx_HAL_Driver/Inc
	)

add_library(stmDrivers ${STM_DRIVER_SOURCES})
target_compile_options(stmDrivers PRIVATE ${C_FLAGS})
target_compile_definitions(stmDrivers PRIVATE ${C_DEFS})

target_include_directories(stmDrivers PUBLIC ${STM_DRIVER_INCLUDES})

add_library(sub::drivers ALIAS stmDrivers)
